# Refresh the preview card for a post

Regenerates the link preview card for a post that contains URLs. Only the post author can refresh the card. This is useful when the linked content has changed and you want to update the preview information.

Endpoint: POST /api/v1/posts/{postId}/refresh-card
Version: 1.0
Security: header

## Path parameters:

  - `postId` (string, required)
    UUID with type prefix
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

## Response 200 fields (application/json):

  - `url` (string,null, required)
    URL being referenced

  - `title` (string,null, required)
    Title of the linked resource

  - `description` (string,null, required)
    Description of the linked resource

  - `icon` (string,null, required)
    Favicon URL

  - `image` (string,null, required)
    Preview image URL

  - `imageAlt` (string,null, required)
    Alt text for the preview image

  - `publisher` (object,null, required)
    Information about the website/provider

  - `publisher.name` (string,null, required)

  - `publisher.url` (string,null, required)

  - `publisher.logo` (string,null)

  - `publisher.type` (string,null)

  - `oembedHtml` (string,null)
    HTML snippet to embed the link (from oEmbed), e.g., an iframe

  - `createdAt` (string, required)
    When the card data was fetched/created
    Example: "2022-03-10T16:15:50Z"

  - `expiresAt` (string,null, required)
    When the card data should be considered stale
    Example: "2022-03-10T16:15:50Z"

## Response 401 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 403 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 404 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation


